/// <reference types="node" resolution-mode="require"/>
import type { SocketConnectOpts } from "net";
import type { AdbIncomingSocketHandler, AdbServerConnection, AdbServerConnectionOptions } from "@yume-chan/adb";
import type { ReadableWritablePair } from "@yume-chan/stream-extra";
import type { ValueOrPromise } from "@yume-chan/struct";
export declare class AdbServerNodeTcpConnection implements AdbServerConnection {
    #private;
    readonly spec: SocketConnectOpts;
    constructor(spec: SocketConnectOpts);
    connect({ unref }?: AdbServerConnectionOptions): Promise<ReadableWritablePair<Uint8Array, Uint8Array>>;
    addReverseTunnel(handler: AdbIncomingSocketHandler, address?: string): Promise<string>;
    removeReverseTunnel(address: string): ValueOrPromise<void>;
    clearReverseTunnels(): ValueOrPromise<void>;
}
//# sourceMappingURL=index.d.ts.map